import { GraphQLSchema, FragmentDefinitionNode } from 'graphql';
import { BasicFlowVisitor } from 'graphql-codegen-flow';
import { ScalarsMap, FlowDocumentsPluginConfig } from './index';
import { OperationDefinitionNode } from 'graphql';
export interface ParsedDocumentsConfig {
    scalars: ScalarsMap;
    addTypename: boolean;
    convert: (str: string) => string;
    typesPrefix: string;
}
export declare class FlowDocumentsVisitor implements BasicFlowVisitor {
    private _schema;
    private _parsedConfig;
    private _unnamedCounter;
    constructor(_schema: GraphQLSchema, pluginConfig: FlowDocumentsPluginConfig);
    convertName(name: any, addPrefix?: boolean): string;
    getFragmentName(nodeName: string): string;
    readonly schema: GraphQLSchema;
    readonly scalars: ScalarsMap;
    readonly addTypename: boolean;
    private handleAnonymouseOperation;
    FragmentDefinition: (node: FragmentDefinitionNode) => string;
    OperationDefinition: (node: OperationDefinitionNode) => string;
}
